Bug 19066 - ar_SA abbreviated day and month names are in English
Summary: ar_SA abbreviated day and month names are in English
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: 2.24
: P2 normal
Target Milestone: 2.26
Assignee: Mike FABIAN
URL:
Keywords:
: 21748 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-10-05 13:23 UTC by j.faithw
Modified: 2017-07-11 10:57 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description j.faithw 2015-10-05 13:23:49 UTC
The localedata/locales/ar_SA file has English data for abday and abmon.
I don't know for certain that this is wrong but it probably is.

For reference when I run:-
  for i in `locale -a|grep '^ar_.*\.utf8'`; do
    LC_ALL="$i" date "+$i: day ab:%a full:%A month ab:%b full:%B";
  done

I get the following output:-
  ar_AE.utf8: day ab:ن full:الاثنين month ab:أكت full:أكتوبر
  ar_BH.utf8: day ab:ن full:الاثنين month ab:أكت full:أكتوبر
  ar_DZ.utf8: day ab:ن full:الاثنين month ab:أكت full:أكتوبر
  ar_EG.utf8: day ab:ن full:الاثنين month ab:أكت full:أكتوبر
  ar_IN.utf8: day ab:ن full:الاثنين month ab:أكت full:أكتوبر
  ar_IQ.utf8: day ab:ن full:الاثنين month ab:أكت full:أكتوبر
  ar_JO.utf8: day ab:الاثنين full:الاثنين month ab:تشرين الأول full:تشرين الأول
  ar_KW.utf8: day ab:ن full:الاثنين month ab:أكت full:أكتوبر
  ar_LB.utf8: day ab:الاثنين full:الاثنين month ab:تشرين الأول full:تشرين الأول
  ar_LY.utf8: day ab:ن full:الاثنين month ab:أكت full:أكتوبر
  ar_MA.utf8: day ab:ن full:الاثنين month ab:أكت full:أكتوبر
  ar_OM.utf8: day ab:ن full:الاثنين month ab:أكت full:أكتوبر
  ar_QA.utf8: day ab:ن full:الاثنين month ab:أكت full:أكتوبر
  ar_SA.utf8: day ab:Mon full:الإثنين month ab:Oct full:تشرين الأول
  ar_SD.utf8: day ab:ن full:الاثنين month ab:أكت full:أكتوبر
  ar_SY.utf8: day ab:الاثنين full:الاثنين month ab:تشرين الأول full:تشرين الأول
  ar_TN.utf8: day ab:ن full:الاثنين month ab:أكت full:أكتوبر
  ar_YE.utf8: day ab:ن full:الاثنين month ab:أكت full:أكتوبر

Clearly ar_SA has Mon and Oct which stand out.
I have checked git and English has been used since the earliest version from 2000-02-12. 
As I understand it the raw data that most of the locale files were based on came from the CLDR many years ago. Looking at the current CLDR(release 28 http://unicode.org/Public/cldr/28/core.zip) the ar_SA.xml file has no variation from the base ar.xml file.

There is a locale explorer available here
  http://demo.icu-project.org/icu-bin/locexp
the Saudi Arabia link is
  http://demo.icu-project.org/icu-bin/locexp?d_=en&_=ar_SA

But note that http://www.unicode.org/cldr/charts/28/
warns that the source xml data is more up to date than anything else and may contain more information.
Comment 1 cvs-commit@gcc.gnu.org 2017-07-06 13:52:25 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  1bea5858dd5b2615288e96525f3918e35f42dd2d (commit)
      from  3adfef7eaafae8dc00fa12cdecde68c01b7d565a (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=1bea5858dd5b2615288e96525f3918e35f42dd2d

commit 1bea5858dd5b2615288e96525f3918e35f42dd2d
Author: Rafal Luzynski <digitalfreak@lingonborough.com>
Date:   Sat Jul 1 02:22:37 2017 +0200

    Arabic scripts: More fixes after the recent import.
    
    After the recent import of month names from CLDRv31 (bug 21217,
    commit c853f14) more imports are also needed, mostly abbreviated month
    names.
    
    This patch also updates May (full month name) in ps_AF which was
    skipped in the previous patch.
    
    Incidentally, this import fixes bug 17225 (ar_SY) and partially
    bug 19066 (ar_SA).
    
    CLDR currently has a bug in the full month name for October for ar_IQ, see
    http://unicode.org/cldr/trac/ticket/10460
    
    	* localedata/locales/ar_DZ (abmon): Full import from CLDR, abmon
    	is no longer abbreviated.
    	* localedata/locales/ar_IQ (abmon): Likewise.
    	* localedata/locales/ar_MA (abmon): Likewise.
    	* localedata/locales/ar_TN (abmon): Likewise.
    	* localedata/locales/ps_AF (abmon): Likewise.
    	* localedata/locales/ug_CN (abmon): Likewise.
    	* localedata/locales/ar_SA (abmon): Likewise, partially
    	fixes bug 19066.
    	* localedata/locales/ks_IN (abmon): A copy of mon.
    	* localedata/locales/ur_IN (abmon): Oct reworded "اكتوبر" to
    	"اکتوبر" (same change as mon).
    	* localedata/locales/ur_PK (abmon): Same changes as mon applied.
    
    	* localedata/locales/ps_AF (mon): May reworded "می" to "مۍ".
    
    	[BZ #17225]
    	* localedata/locales/ar_SY (abmon): May reworded "نوار" to
    	"أيار", this closes bug 17225.
    	* localedata/locales/ar_JO (abmon): Likewise.
    	* localedata/locales/ar_LB (abmon): Likewise.

-----------------------------------------------------------------------

Summary of changes:
 localedata/ChangeLog     |   34 ++++++++++++++++++++++++++++++++++
 localedata/locales/ar_DZ |   18 ++++++++++++------
 localedata/locales/ar_IQ |   18 ++++++++++++------
 localedata/locales/ar_JO |    2 +-
 localedata/locales/ar_LB |    2 +-
 localedata/locales/ar_MA |   18 ++++++++++++------
 localedata/locales/ar_SA |   24 ++++++++++++------------
 localedata/locales/ar_SY |    2 +-
 localedata/locales/ar_TN |   18 ++++++++++++------
 localedata/locales/ks_IN |   20 ++++++++++----------
 localedata/locales/ps_AF |   24 ++++++++++++------------
 localedata/locales/ug_CN |   24 ++++++++++++------------
 localedata/locales/ur_IN |    2 +-
 localedata/locales/ur_PK |   12 ++++++------
 14 files changed, 138 insertions(+), 80 deletions(-)
Comment 2 cvs-commit@gcc.gnu.org 2017-07-11 10:55:56 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  7593c977aabdce4e441bcb778d2b984ef5bb8910 (commit)
      from  2c804457879c2dd76823d1b47f1a1eba5073727c (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=7593c977aabdce4e441bcb778d2b984ef5bb8910

commit 7593c977aabdce4e441bcb778d2b984ef5bb8910
Author: Akhilesh Kumar <akhilesh.k@samsung.com>
Date:   Tue Jul 11 12:46:39 2017 +0200

    Fix abday for ar_SA
    
    	[BZ #21748, BZ #19066]
            * locales/ar_SA (LC_TIME): Fix abday

-----------------------------------------------------------------------

Summary of changes:
 localedata/ChangeLog     |    5 +++++
 localedata/locales/ar_SA |   14 +++++++-------
 2 files changed, 12 insertions(+), 7 deletions(-)
Comment 3 Mike FABIAN 2017-07-11 10:56:39 UTC
abday is fixed as well now, closing as FIXED.
Comment 4 Mike FABIAN 2017-07-11 10:57:55 UTC
*** Bug 21748 has been marked as a duplicate of this bug. ***